org.richfaces.fragment.panelMenu

## Class RichFacesPanelMenu.AdvancedPanelMenuInteractions

- java.lang.Object
- - org.richfaces.fragment.panelMenu.AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions
  - - org.richfaces.fragment.panelMenu.RichFacesPanelMenu.AdvancedPanelMenuInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesPanelMenu

      public class RichFacesPanelMenu.AdvancedPanelMenuInteractions
      extends AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesPanelMenu.AdvancedPanelMenuInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.openqa.selenium.WebElement>` | `getAllDisabledGroups()`
    `List<org.openqa.selenium.WebElement>` | `getAllDisabledItems()`
    `List<org.openqa.selenium.WebElement>` | `getAllExpandedGroups()`
    `List<org.openqa.selenium.WebElement>` | `getAllSelectedGroups()`
    `List<org.openqa.selenium.WebElement>` | `getAllSelectedItems()`
    `List<org.openqa.selenium.WebElement>` | `getMenuGroupElements()`
    `List<org.openqa.selenium.WebElement>` | `getMenuItemElements()`
    `org.openqa.selenium.WebElement` | `getRootElement()`

    - ### Methods inherited from class org.richfaces.fragment.panelMenu.AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions

      `getCollapseEvent, getCssCollapsedSuffix, getCssDisabledSuffix, getCssExpandedSuffix, getCssHoveredSuffix, getCssSelectedSuffix, getCssTransparentSuffix, getExpandEvent, getHeaderSelectorToInovkeEventOn, getTimeoutForMenuGroupToBeCollapsed, getTimoutForMenuGroupToBeExpanded, isGroupExpanded, isVisible, setCollapseEvent, setExpandEvent, setTimeoutForMenuGroupToBeCollapsed, setTimoutForMenuGroupToBeExpanded, waitUntilMenuGroupCollapsed, waitUntilMenuGroupExpanded`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.common.VisibleComponentInteractions

      `isVisible`

- - ### Constructor Detail

    - #### RichFacesPanelMenu.AdvancedPanelMenuInteractions

          public RichFacesPanelMenu.AdvancedPanelMenuInteractions()

  - ### Method Detail

    - #### getMenuGroupElements

          public List<org.openqa.selenium.WebElement> getMenuGroupElements()

    - #### getMenuItemElements

          public List<org.openqa.selenium.WebElement> getMenuItemElements()

    - #### getAllSelectedItems

          public List<org.openqa.selenium.WebElement> getAllSelectedItems()

    - #### getAllSelectedGroups

          public List<org.openqa.selenium.WebElement> getAllSelectedGroups()

    - #### getAllDisabledGroups

          public List<org.openqa.selenium.WebElement> getAllDisabledGroups()

    - #### getAllDisabledItems

          public List<org.openqa.selenium.WebElement> getAllDisabledItems()

    - #### getAllExpandedGroups

          public List<org.openqa.selenium.WebElement> getAllExpandedGroups()

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

      Specified by:
        `getRootElement` in class `AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.